petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscDrawPointSetSize

Sets the point size for future draws. The size is relative to the user coordinates of the window; 0.0 denotes the natural width, 1.0 denotes the entire viewport.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawPointSetSize(PetscDraw draw,PetscReal width)

Not collective

### Input Parameters

| draw | - the drawing context
| width | - the width in user coordinates

### Note

Even a size of zero insures that a single pixel is colored.

### See Also

PetscDrawPoint(), PetscDrawMarker()

### Level

advanced

### Location

src/sys/classes/draw/interface/dpoint.c

### Implementations

PetscDrawPointSetSize_Image in src/sys/classes/draw/impls/image/drawimage.c
PetscDrawPointSetSize_Win32 in src/sys/classes/draw/impls/win32/win32draw.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages